# encoding: utf-8

require 'spec_helper'

describe MTG::API::Request do
  subject { MTG::API::Request }

  context 'requests' do
    describe 'valid url' do
      it 'respond with 200', vcr: { cassette_name: 'valid_token' } do
        expect { subject.get('/id/1') }.to_not raise_error
      end

      it 'respond with 401', vcr: { cassette_name: 'invalid_token' } do
        MTG::API::Config.configure { |c| c.token = 'invalid_token' }

        expect { subject.get('/id/1') }.to raise_error(/401 - Unauthorized/)
      end

      it 'respond with 404', vcr: { cassette_name: 'invalid_url' } do
        expect { subject.get('/invalid_url') }.to raise_error(/404 - Not Found/)
      end
    end
  end
end
